> ## Documentation Index
> Fetch the complete documentation index at: https://developers.qshop.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Get review



## OpenAPI

````yaml get /{shopId}/products/{productId}/reviews/{reviewId}
openapi: 3.0.3
info:
  title: API V2
  version: 1.0.0
  contact: {}
servers:
  - url: http://staging.qshop.ng/apiv2
    description: Staging server
  - url: http://qshop.ng/api
    description: null
security: []
tags:
  - name: Analytics
  - name: Authentication
  - name: Storefront
  - name: Roles
  - name: Banks
  - name: Products
  - name: Shops
  - name: Roles1
  - name: Bank accounts
  - name: Users
  - name: Payment methods
  - name: Integrations
  - name: Subscriptions
  - name: Currency
  - name: Shipping zones
  - name: Shipping rates
  - name: Policies
  - name: Contact us
  - name: Locations
  - name: Reviews
  - name: Referral
  - name: Stripe
  - name: Campaigns
  - name: Credits
  - name: Product Tags
  - name: Product Attributes
  - name: Product Categories
  - name: Orders
  - name: Discount
  - name: Shipping
  - name: Redeem digital assets
  - name: Coupons
  - name: Currencies
  - name: Shop categories
  - name: Locations1
  - name: Features
  - name: Subscription plan
  - name: Recurring subscription plan
  - name: Shop payments
  - name: QDiscounts
  - name: Order status
  - name: Announcements
  - name: Wishlist
  - name: Transaction status
  - name: Templates
  - name: Config
  - name: Cart management
  - name: Users1
  - name: Profile
  - name: Domains
  - name: Transactions
  - name: Subscriptions1
  - name: Subscription statuses
  - name: Security
  - name: Payments
  - name: Payment methods1
  - name: Payment platforms
  - name: Public
  - name: social
  - name: Shipping1
  - name: Orders1
  - name: Integrations1
  - name: Webhook
  - name: ShopTags
  - name: Themes
paths:
  /{shopId}/products/{productId}/reviews/{reviewId}:
    parameters:
      - name: productId
        in: path
        required: true
        schema:
          type: string
          example: 61a961741a113f7e13c45c3a
      - name: reviewId
        in: path
        required: true
        schema:
          type: string
          example: 63f62da70bf12b7f208998d1
    get:
      tags:
        - Shops
        - Reviews
      summary: Get review
      description: Get review
      operationId: getReview
      responses:
        '200':
          description: Get review
          headers:
            Access-Control-Allow-Headers:
              schema:
                type: string
                example: >-
                  Content-Type, Authorization, Content-Length, X-Requested-With,
                  Token
            Access-Control-Allow-Methods:
              schema:
                type: string
                example: GET,PUT,POST,DELETE,OPTIONS,PATCH
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Length:
              schema:
                type: string
                example: '624'
            Date:
              schema:
                type: string
                example: Wed, 22 Feb 2023 15:05:29 GMT
            ETag:
              schema:
                type: string
                example: W/"270-eNxo1KtbaR8pyld5DO4VEqyHl7M"
            Keep-Alive:
              schema:
                type: string
                example: timeout=5
            X-Powered-By:
              schema:
                type: string
                example: Express
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      __v:
                        type: number
                        example: 0
                      _id:
                        type: string
                        example: 63f62da70bf12b7f208998d1
                      comment:
                        type: string
                        example: Good product mate
                      created:
                        type: string
                        example: '2023-02-22T14:58:47.131Z'
                      email:
                        type: string
                        example: adeyinkabadmus@gmail.com
                      fullName:
                        type: string
                        example: Ademi deyinka
                      isApproved:
                        type: boolean
                        example: false
                      product:
                        type: object
                        properties:
                          _id:
                            type: string
                            example: 61a961741a113f7e13c45c3a
                          alwaysInStock:
                            type: boolean
                            example: false
                          media:
                            type: string
                            example: >-
                              https://ucarecdn.com/fd9510cd-6858-4afa-92b9-fefdd9400144/-/resize/800x/
                          media_type:
                            type: string
                            example: IMAGE
                          name:
                            type: string
                            example: Gift cardsss
                          price:
                            type: number
                            example: 2500
                          sale_price:
                            type: number
                            example: 0
                          sku:
                            type: string
                            example: gift-cardsss-e9541
                          slug:
                            type: string
                            example: gift-cardsss-0c9fd
                          stock:
                            type: number
                            example: 76
                      rate:
                        type: number
                        example: 2
                      shop:
                        type: string
                        example: 61a956d91a113f7e13c45c15
                      subject:
                        type: string
                        example: I like it
                      updated:
                        type: string
                        example: '2023-02-22T14:58:47.131Z'
                  msg:
                    type: string
                    example: Review found
                  success:
                    type: boolean
                    example: true
              examples:
                Get review:
                  value:
                    data:
                      __v: 0
                      _id: 63f62da70bf12b7f208998d1
                      comment: Good product mate
                      created: '2023-02-22T14:58:47.131Z'
                      email: adeyinkabadmus@gmail.com
                      fullName: Ademi deyinka
                      isApproved: false
                      product:
                        _id: 61a961741a113f7e13c45c3a
                        alwaysInStock: false
                        media: >-
                          https://ucarecdn.com/fd9510cd-6858-4afa-92b9-fefdd9400144/-/resize/800x/
                        media_type: IMAGE
                        name: Gift cardsss
                        price: 2500
                        sale_price: 0
                        sku: gift-cardsss-e9541
                        slug: gift-cardsss-0c9fd
                        stock: 76
                      rate: 2
                      shop: 61a956d91a113f7e13c45c15
                      subject: I like it
                      updated: '2023-02-22T14:58:47.131Z'
                    msg: Review found
                    success: true

````